corMatrix.reStruct {nlme} | R Documentation

## Extract Correlation Matrix from Components of an reStruct Object

### Description

This method function extracts the correlation matrices corresponding to the `pdMat` elements of `object`.

### Usage

    ## S3 method for class 'reStruct'
    corMatrix(object, ...)

### Arguments

`object` | an object inheriting from class `"reStruct"`, representing a random effects structure and consisting of a list of `pdMat` objects.
`...` | some methods for this generic require additional arguments. None are used in this method.

### Value

a list with components given by the correlation matrices corresponding to the elements of `object`.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### See Also

`as.matrix.reStruct`, `corMatrix`, `reStruct`, `pdMat`

### Examples

    rs1 <- reStruct(pdSymm(diag(3), ~age+Sex, data = Orthodont))
    corMatrix(rs1)

[Package nlme version 3.1-131 Index]